RPC.BOOTPARAMD(8)

NAME
bootparamd, rpc.bootparamd - boot parameter server

SYNOPSIS
bootparamd [-ds] [-i interface] [-r router] [-f file]

DESCRIPTION
bootparamd is a server process that provides information to diskless clients necessary for booting. It consults the file “/etc/bootparams”. It should normally be started from “/etc/rc”.

This version will allow the use of aliases on the hostname in the “/etc/bootparams” file. The hostname returned in response to the booting client's whoami request will be the name that appears in the config file, not the canonical name. In this way you can keep the answer short enough so that machines that cannot handle long hostnames won't fail during boot.

While parsing, if a line containing just ``+'' is found, and the YP subsystem is active, the YP map bootparams will be searched immediately.

OPTIONS

-d  Display the debugging information. The daemon does not fork in this case.

-i interface
    Specify the interface to become the default router. bootparamd picks the first IPv4 address it finds on the system by default. With -i, you can control which interface to be used to obtain the default router address. -r overrides -i.

-s  Log the debugging information with syslog(3).

-r  Set the default router (a hostname or IP-address). This defaults to the machine running the server.

-f  Specify the file to use as boot parameter file instead of “/etc/bootparams”.

FILES
/etc/bootparams
    default configuration file

SEE ALSO
bootparams(5)

AUTHORS
Originally written by Klas Heggemann <klas@nada.kth.se>.

BUGS
You may find the syslog messages too verbose.

It's not clear if the non-canonical hack mentioned above is a good idea.